## Class Auth_OpenID_FailureResponse

Description

A response with a status of Auth_OpenID_FAILURE. Indicates that the OpenID protocol has failed. This could be locally or remotely triggered. This has three relevant attributes:

claimed_id - The identity URL for which authentication was attempted, if it can be determined. Otherwise, null.

message - A message indicating why the request failed, if one is supplied. Otherwise, null.

status - Auth_OpenID_FAILURE.

Located in /Auth/OpenID/Consumer.php (line 2130)

    Auth_OpenID_ConsumerResponse
       |
       --Auth_OpenID_FailureResponse

Direct descendents

Class | Description
--- | ---
Auth_OpenID_TypeURIMismatch | A specific, internal failure used to detect type URI mismatch.

Variable Summary
mixed $status
Method Summary
Auth_OpenID_FailureResponse Auth_OpenID_FailureResponse ( $endpoint, [ $message = null], [ $contact = null], [ $reference = null])
Variables
mixed $status = Auth_OpenID_FAILURE (line 2131)

Redefinition of:

Auth_OpenID_ConsumerResponse::$status

Methods
Constructor Auth_OpenID_FailureResponse (line 2133)
Auth_OpenID_FailureResponse Auth_OpenID_FailureResponse ( $endpoint, [ $message = null], [ $contact = null], [ $reference = null])

- $endpoint
- $message
- $contact
- $reference

#### Inherited Methods

Inherited From Auth_OpenID_ConsumerResponse

> Auth_OpenID_ConsumerResponse::getDisplayIdentifier()
> Auth_OpenID_ConsumerResponse::setEndpoint()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2